From nabijaczleweli@nabijaczleweli.xyz Fri Nov  4 00:15:28 2022
Date: Fri, 4 Nov 2022 00:15:28 +0100
From: =?utf-8?B?0L3QsNCx?= <nabijaczleweli@nabijaczleweli.xyz>
To: ~nabijaczleweli/ratrun@lists.sr.ht
Subject: ratrun 0 released
Message-ID: <20221103231527.x3gtw3yx74dseucm@babtop.nabijaczleweli.xyz>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
	protocol="application/pgp-signature"; boundary="4tjbby5zvppydrk6"
Content-Disposition: inline
User-Agent: NeoMutt/20220429


--4tjbby5zvppydrk6
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

Pre-rendered manuals and source tarball can be obtained from
  https://git.sr.ht/~nabijaczleweli/ratrun/refs/0

0-1 packages have been published for all codenames,
cf. https://debian.nabijaczleweli.xyz/README

This being the first release, there is no changelog;
here's a rat and some context instead: =F0=9F=90=80,
  https://twitter.com/nabijaczleweli/status/1349468225092902912

--4tjbby5zvppydrk6
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEfWlHToQCjFzAxEFjvP0LAY0mWPEFAmNkS4sACgkQvP0LAY0m
WPESMg//ezNd09GaNBn3zsVamNIKXgN2eU0p6F9FLJyb8FVupQ7MFCmNMcYHHfmG
cawIffNg8lbfo+TDtprRGJL+PR0gjt1TNGnzWp/3foaA7MzJHO8fwBjq89JnnRKh
VIlu1nfwSz5sGTDU7pb1LlZ78Qh51PiLnpV2cd0YVA3eNHEoZ0wPaj2ah3yJdoVl
39g8vFgxWTq0dB6Odgaf5YQLKs3pFYHJsZctmocrZjZmlVhVpwMGwiKpvWgm22gW
AvFWTm0H2YfuUpOTy7KrH0LbWJqJctg6oepUTF0MK+IF7dCcYt3iqS5zQTp/+XFZ
UPmdwnPbagBRupGzSP3GxdP2J1kqxwVGvLkXXZmlb/SBjAXS97xVoDDWOU38951Q
NojBZArXyMWvASKTbOtfpAoFUuWgyy05jHl2JzHjqCbDyIXMG3UcUrkOt7nZnz2n
rHETL+Cn28wIRgGUPi2A5JptKzwLDAv9tNg358qc/Aw5eoP5UIJHfItXVzuXwUIH
PG1VHSlecOhZcZsnbqp3hVOsciUjeKwf2AYv1d23ZgVlBxgErYsJV9gVeL3ivwF5
/dsN0yPcJS5fN4ZWmG0TBdQZteSx6M9amyL2vPq6oqYeMAFkzNiUab5tF5tIaYhS
J5ly/igb1VQ4TJQ3tklj1W3itShAT3ikStPzw0iGhJW19O+5YjU=
=5cdp
-----END PGP SIGNATURE-----

--4tjbby5zvppydrk6--

From nabijaczleweli@nabijaczleweli.xyz Fri Nov  4 15:09:46 2022
Date: Fri, 4 Nov 2022 15:09:46 +0100
From: =?utf-8?B?0L3QsNCx?= <nabijaczleweli@nabijaczleweli.xyz>
To: ~nabijaczleweli/ratrun@lists.sr.ht
Subject: ratrun 0a released
Message-ID: <20221104140944.eglurkvurdi4g7u7@babtop.nabijaczleweli.xyz>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
	protocol="application/pgp-signature"; boundary="doifpv44kl7oh7w2"
Content-Disposition: inline
User-Agent: NeoMutt/20220429


--doifpv44kl7oh7w2
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline

Pre-rendered manuals, source tarball, and detailed changelog
can be obtained from
  https://git.sr.ht/~nabijaczleweli/ratrun/refs/0a

0a-1 packages have been published for all codenames,
cf. https://debian.nabijaczleweli.xyz/README

The highlights of this release include ratrun clearing stale
~/.ratrun/.expcnt/ entries automatically to avoid future surprises when
an event with the same name is re-added later.

The release 0 notes contained an error, the final link should've been
  https://twitter.com/nabijaczleweli/status/1586903771581501445

--doifpv44kl7oh7w2
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEfWlHToQCjFzAxEFjvP0LAY0mWPEFAmNlHSgACgkQvP0LAY0m
WPHekA/8CIPkV9hC72s/DjXZtMsD39Y4EIEar2B2fVJpth/SqLC4pi47YPt/BOi/
yHcA2EhnS9bapfmGcE281HknEk0PGGLwmACDQsFaaCgzAe9AXUJNLJwHStvbkbIW
UV9FnL6gwRKM1M69IBwADyolP1b26HbIclWYjQOIxxqtsfhQEnkIBbjz95OZr9Vo
/Yoj1LPh71grSI9YKOWK4w9bedZzoGCn2347gskrT8i5hyYIfxnTVWdzD09h8ejp
X2sufFYvkDdFrIGurDLgQc6OxOflnAAs+2zigY6k0p5DB5M8q99e0g5Ew5JAPf84
gJRNP8vp8Z3IyIEEBwZ63/otXg+lj0P6Rg4qmcePQ3APfCfBKTsDxAvzKsV/kd0V
S+vNIyI6Nm3Q/+/FdzO5EEO2v3m0++uTBz4I8h1jB83M6doohEk4hKGJk5sc0qB/
/VOoSySYUvo3Rgy+KIWWwyE3+eAifHr6DNxqTL6lF7TQ2rI4M1v1uax0PqmXwXDK
AWy+tMmp5ino5Xp6LnIyGqgMceyYo9sRyaS3EA+tJec7FNAE2xJj/0ajHGiNGG3d
nymyWpLvQubInsqxOqopXG9Wj0s5zVuFvS/RjnpjW8O5gm4vKHAvGQY1oZt6nmk9
QOY+Xj57OVL51k+0mQ6VDOLoTeJAygZ/1PxdgR/hUUAK3pTBRy8=
=vDvk
-----END PGP SIGNATURE-----

--doifpv44kl7oh7w2--

From nabijaczleweli@nabijaczleweli.xyz Sat Nov  5 17:54:49 2022
Date: Sat, 5 Nov 2022 17:54:49 +0100
From: =?utf-8?B?0L3QsNCx?= <nabijaczleweli@nabijaczleweli.xyz>
To: ~nabijaczleweli/ratrun@lists.sr.ht
Subject: ratrun 0b released
Message-ID: <20221105165447.njcdblfxh4tltcuu@babtop.nabijaczleweli.xyz>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
	protocol="application/pgp-signature"; boundary="hwivbemxlhxnfskg"
Content-Disposition: inline
User-Agent: NeoMutt/20220429


--hwivbemxlhxnfskg
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline

Pre-rendered manuals, source tarball, and detailed changelog
can be obtained from
  https://git.sr.ht/~nabijaczleweli/ratrun/refs/0b

0b-1 packages have been published for all codenames,
cf. https://debian.nabijaczleweli.xyz/README

The highlights of this release include rat correctly refusing
interactively/warning about noninteractively date -d reminders that
post-date the event (instead of not checking for this, which would
appear to work, but, since "-1280s" doesn't start with a digit, would
become part of the body, instead) and a completed French translation,
courtesy of Cicada.

--hwivbemxlhxnfskg
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEfWlHToQCjFzAxEFjvP0LAY0mWPEFAmNmlVcACgkQvP0LAY0m
WPGlmw/+MeI+F3ZFhJfOkH+Fm+1uY176jSZpkDF3PAH3UPoQnih4ZVn2a9JwAFUT
rFr9dhSSM4a5LAov45VyNA/pBOSJASWTFsWprJfsw1nIbQfOIRDpwPEShffegR32
2yksk71M1j55aNBN24GlBgAuVoGW65o/99v/uDKPobR4pUtg/D932R2slIttUU3K
It4Qr5MENstNijMScQZUsy3EwzBFnS7JKQq4dbgyuBV+bQ0XblCZi1bG7lAf0td9
v4CT82y3jS7rQ/7Uf+mvQmLL5BfaNH+ax1lUrihAB7aRcVQJyHj+z3jtTFvAKvRD
Lyy2LoH+q/NTtPJqPlmBuU0OO/i029VF/MaGT4p+pGvDFESv7B2JdMRJiAAiP8P9
axhSzPsszFMwkLjhy0O6RU4+1oR9lOtIQv+hPvRdSA9tnTsU0bxG9XiDKe2z3vS2
ppu7ySfnK37C7RxomwEtTxRoj7mj57gHX3Nqv/9m7R4yjDakQo2hC7dzbY1Lg5zg
eLxx7NfpAZTLPE+L6Ck6hZeDbf11UOt0hCggF61v0YizSfJCAkhN8PaUmT/ukw9S
KkOn7ID5eFOR0ILfMMUZdPbHAFf8MxyDRIwmdeMwFZSQa4YY1+qMu0IH4/31TaS8
VmRNAbFNXDeq3CtZrtGOxoPI7m7A/l+cBmqOl8URW4njkN8NYnw=
=timC
-----END PGP SIGNATURE-----

--hwivbemxlhxnfskg--

From nabijaczleweli@nabijaczleweli.xyz Wed Nov 16 19:11:40 2022
Date: Wed, 16 Nov 2022 19:11:40 +0100
From: =?utf-8?B?0L3QsNCx?= <nabijaczleweli@nabijaczleweli.xyz>
To: ~nabijaczleweli/ratrun@lists.sr.ht
Subject: ratrun 0c released
Message-ID: <20221116181139.gf43nwnlkc4upebm@babtop.nabijaczleweli.xyz>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
	protocol="application/pgp-signature"; boundary="elisgcpqkp2web5l"
Content-Disposition: inline
User-Agent: NeoMutt/20220429


--elisgcpqkp2web5l
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

Pre-rendered manuals, source tarball, and detailed changelog
can be obtained from
  https://git.sr.ht/~nabijaczleweli/ratrun/refs/0c

0c-1 packages have been published for all codenames,
cf. https://debian.nabijaczleweli.xyz/README

The highlights of this release include
>20% speedups when sending multiple events=C2=B9,
rat correctly locking and respecting ^D interactively,
and many simplified implementation details.

THere are two significant changes that otherwise bear repeating:
  * events that don't start with a line are ignored,
    instead of their entirety being used as the date;
    realistically, this means that empty files are ignored
    instead of being equivalent to files consisting of an empty line
    (which is equivalent to "midnight today" under coreutils date)
    and if you generated events that consisted of only a date that
    didn't end with a new-line (i.e. wasn't a line,
    which was forbidden by the manual but erroneously accepted)
    those events will now be ignored.
    Given that this is much harder to do than Not doing that,
    and you had to go out of your way to make these,
    you are likely not affected, if you worry that you are,
    wc -l ~/.ratrun/* will yield 0s for the ignored files
  * expired events are moved to:
      ~/.ratrun/old/event
    or
      ~/.ratrun/old/event-{event date verbatim}
    as previously, but if they both exist, the new
      ~/.ratrun/old/event-{event date in date -Iminutes}
    format is used (this matches the rat allocation strategy);
    this means that you can
      echo 12:00 > ~/.ratrun/event
    daily and you'll have a log of all the events;
    as an example, assuming you did this every day starting today,
    the above will end up in:
      ~/.ratrun/old/event
      ~/.ratrun/old/event-12:00
      ~/.ratrun/old/event-2022-11-18T12:00+01:00
      ~/.ratrun/old/event-2022-11-19T12:00+01:00
      ~/.ratrun/old/event-2022-11-20T12:00+01:00

=C2=B9 At kiloevent scale without running mail(1);
  an event takes 5ms to send, so you'll likely never observe this,
  esp. given that this time will then be swamped by mail(1); cf.
  https://twitter.com/nabijaczleweli/status/1592285939879276544

--elisgcpqkp2web5l
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEfWlHToQCjFzAxEFjvP0LAY0mWPEFAmN1J9gACgkQvP0LAY0m
WPE1Xg/9Gk/JLKmcsWZsR/KWzXrOuRelQCJOdNRhtDfO34+2gyRViufR4f4bjpT7
yO8LVw16tuf3bVbZJtGhQX1Y++r6G7Vm75lAyV2nb+q2Cm4UEWffW8BAO2O7TGjg
3LyWymXcyIcSFTUXK4X9U2lozs6HA6NU7ue+ch9iOmpdayIdjcnL5NlmvXks+ixY
gCkhXGORRviyfbEUJL6dkvfCfjySSqwljDd65LoMtoRgcKHqIFbIM/hmE3Y7NILa
hgh8nC6m58t1Tu3pbjesmFv2N6lo9wh3dxgJJ9ViPMV4dU5/H66Cv3oGO1CzauvW
uMMJZH4p1aW+ft16JVeIs96iDeqZQWgDfN5Ikt2z5iQTZ9IAT0nUFEnrd6FdvDtm
dX+R89QuaxBiYiVKwQMoQDqaxpIPO+5HO1pR7A6p1jkwqHoreDVuD2JWQBHS16Rk
b0EjLKzDt3d/cG04M5HTOOVx0LqC+FOoZk3XcmZ8I7RQykvpsanjzt6lLt/c5oNb
lRPPXs/MyanWCEzAVEc43CmS2ZKjWHjA9uAjqt7RcrH8A9hLcTD/ViZTSn81Asgp
FZbjAkbo1R7kFqg9X9/XBBuJcTrFCUlqUNnMMErJGTiY+tjADDgsn2NtlFMrEM9S
5ag6vwmW/VwCFGToV941a9WOWQ9e8ow+fPXMFXKZHQKW9PQZcpY=
=WDeb
-----END PGP SIGNATURE-----

--elisgcpqkp2web5l--

